import { Component, OnInit } from '@angular/core';
import { IonButton, IonContent, IonHeader, IonIcon, IonInput, IonItem, IonLabel, IonList, IonListHeader, 
  IonSearchbar, IonTitle, IonToolbar } from '@ionic/angular/standalone';
import { ExploreContainerComponent } from '../explore-container/explore-container.component';
import { CommonModule } from '@angular/common';
import { Router } from '@angular/router';

@Component({
  selector: 'app-topic-detail3',
  templateUrl: './topic-detail3.component.html',
  styleUrls: ['./topic-detail3.component.scss'],
  standalone: true,
  imports:[IonHeader,IonToolbar,IonTitle,IonContent,ExploreContainerComponent,
    IonList,IonListHeader,IonLabel,IonItem,IonIcon,IonButton,
    IonInput,IonSearchbar,
    CommonModule
  ],
})
export class TopicDetail3Component  implements OnInit {
  tips = [
    {
      title: '设定小目标',
      description: '通过设定并完成小目标来增强自信心。',
      details: '通过制定具体、可实现的小目标，个体可以逐步体验到成功感和成就感，这有助于提升自信心和自我效能感。通过这种方式，设定小目标不仅有助于缓解抑郁症状，还能促进积极的生活态度和心理健康。',
      expanded: false,
    },
    {
      title: '积极自我对话',
      description: '通过积极的自我对话来改变消极思维。',
      details: '通过积极的自我对话个体可以增强自我肯定，减少自我怀疑,改善情绪,提升整体的心理健康水平,帮助个体在面对挑战时保持积极的心态,促进心理韧性，帮助个体更好地应对生活中的挑战与困难',
      expanded: false,
    },
    {
      title: '练习身体语言',
      description: '通过开放的身体语言来传达自信。',
      details: '可以传达自信和开放的态度，帮助个体在社交场合中显得更加自信，还能改善沟通能力，帮助个体更好地表达自己的情感和意图,促进积极的人际互动，对个人的心理健康和社会适应能力具有积极的影响',
      expanded: false,
    },
  ];

  tools = [
    {
      name: '在线视频',
      description: '学习更多关于自信心提升的技巧。',
      link: 'https://www.bilibili.com/video/BV1GQBsYfECG/',
      buttonText: '查看视频',
    },
  ];

  resources = [
    {
      title: '提升自信心的有效方法',
      link: 'https://m.baidu.com/bh/m/detail/ar_4782723165528593464',
      buttonText: '阅读更多',
    },
    {
      title: '如何在公众面前自信演讲',
      link: 'https://www.bilibili.com/video/BV1eH4y1f7d1/',
      buttonText: '观看视频',
    },
  ];

  discussions = [
    {
      title: '分享你的自信提升故事',
      link: 'https://example.com/community',
    },
  ];

  constructor(private router: Router) { }
  goTab1(){
    this.router.navigate(['tabs/tab1']);
   }
  ngOnInit() {}

}
